Skip Menu |
 

This queue is for tickets about the libwww-perl CPAN distribution.

Report information
The Basics
Id: 43729
Status: resolved
Priority: 0/
Queue: libwww-perl

People
Owner: Nobody in particular
Requestors: antonio [...] dyne.org
Cc: 500186 [...] bugs.debian.org
AdminCc:

Bug Information
Severity: Unimportant
Broken in: 5.825
Fixed in: (no value)



CC: 500186 [...] bugs.debian.org
Subject: LWP::UserAgent error message: HTTPS support
Download (untitled) / with headers
text/plain 397b
Hi, if one tries to access HTTPS URLs and both Crypt::SSLeay and IO::Socket::SSL are not installed, it won't work. The error message from LWP says that the user needs Crypt::SSLeay but LWP::UserAgent will also work with IO::Socket::SSL, without the SSLeay dependency. In the attached patch I've fixed the error message, please review and consider including it if it's reasonable. Cheers Antonio
Subject: fix_ua_ssl_deps.patch
--- libwww-perl.orig/lib/LWP/UserAgent.pm 2009-02-28 11:29:21.000000000 +0000 +++ libwww-perl/lib/LWP/UserAgent.pm 2009-02-28 11:30:05.000000000 +0000 @@ -157,10 +157,10 @@ $@ =~ s/ at .* line \d+.*//s; # remove file/line number $response = _new_response($request, &HTTP::Status::RC_NOT_IMPLEMENTED, $@); if ($scheme eq "https") { - $response->message($response->message . " (Crypt::SSLeay not installed)"); + $response->message($response->message . " (Crypt::SSLeay and IO::Socket::SSL not installed)"); $response->content_type("text/plain"); $response->content(<<EOT); -LWP will support https URLs if the Crypt::SSLeay module is installed. +LWP will support https URLs if either Crypt::SSLeay or IO::Socket::SSL is installed. More information at <http://www.linpro.no/lwp/libwww-perl/README.SSL>. EOT }


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.